Changes between Version 21 and Version 22 of ArmLinuxGhc


Ignore:
Timestamp:
Jul 4, 2008 5:14:47 PM (7 years ago)
Author:
shepheb
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • ArmLinuxGhc

    v21 v22  
    1616
    1717 * shepheb has a Nokia N810.
     18
     19
     20== Unregisterised 6.6.1 Notes ==
     21
     22Building using the 6.6.1 released source. Note that I already have libgmp and libffi installed on both machines (though libffi isn't being used).
     23
     24=== Target-side Prep ===
     25
     26Flawless! (Again, I had libgmp installed this time).
     27
     28=== Host-side ===
     29
     30
     31==== It complains about Perl 5.10 ====
     32
     33./configure failed saying my Perl version wouldn't work. perl --version reveals it's 5.10, and I had to edit aclocal.m4, thus:
     34
     35{{{
     36AC_DEFUN([FPTOOLS_CHECK_PERL_VERSION],
     37[$PerlCmd -v >conftest.out 2>&1
     38   if grep "v5.6" conftest.out >/dev/null 2>&1; then
     39      :
     40   else
     41      if grep "v5.8" conftest.out >/dev/null 2>&1; then
     42         :
     43      else
     44         if grep "v5.10" conftest.out >/dev/null 2>&1; then
     45            :
     46         else
     47            if grep "version 6" conftest.out >/dev/null 2>&1; then
     48               :
     49            else
     50               AC_MSG_ERROR([your version of perl probably won't work, try up\
     51grading it.])
     52            fi
     53         fi
     54      fi
     55   fi
     56rm -fr conftest*
     57])
     58}}}
     59
     60making it accept 5.10 too. Then I ran autoreconf, and ./configure ran to completion.
     61
    1862
    1963